#!/bin/sh

#应用名称
APP=cn.gzca.certmanager

importCert() {
    echo "正在安装服务器证书..."
	certPath=/opt/apps/${APP}/files/bin/server.pem
	if [ "$(whoami )" = "root" ];then
		echo " "
	else
		echo "Operation not permitted,are you root?"
		exit 1
	fi

	if [ "$( which yum )" = "" ];then
		echo " "
	else
		if [ "$( which certutil )" = "" ];then
		    echo "正在安装libnss3-tools..."
			yum install   libnss3-tools 
		fi
	fi

	if [ "$( which apt-get )" = "" ];then
		echo " "
	else
		if [ "$( which certutil )" = "" ];then
		    echo "正在安装libnss3-tools..."
			apt-get install  libnss3-tools
		fi
	fi

	if [ "$( which certutil )" = "" ];then
		echo "系统在线安装libnss3-tools工具失败，无法安装信任证书。"
		echo "请手动将[ $certPath ]证书导入到火狐等浏览器中。"
	else
		### For cert8 (legacy - DBM)
		for certDB in $(find /home -name "cert8.db")
		do
			certdir=$(dirname ${certDB});
			echo "正在导入${certdir}..."
			certutil -A -n "gzca" -t "TC,TC,TC" -i "$certPath" -d dbm:${certdir}
		done

		### For cert9 (SQL)
		for certDB in $(find /home -name "cert9.db")
		do
			certdir=$(dirname ${certDB});
			echo "正在导入${certdir}..."
			certutil -A -n "gzca" -t "TC,TC,TC" -i "$certPath" -d sql:${certdir}
		done
	fi
}

importCert
